Gadget 2 MPI error, permission denied

From: turhan nasri <turhannasri_at_gmail.com>
Date: Sat, 8 Oct 2016 23:39:46 -0400

Hi people,

I am a prospective graduate student interested in N body simulation and
came across Gadget 2 today. I downloaded the Gadget-2.0.7 and now following
the user guide.
I installed all the 4 non-standard libraries for compilation in my Ubuntu
16.04. The very first error I am getting is this :

$ mpirun -np 32 ./Gadget2 galaxy.param

Open MPI tried to fork a new process via the "execve" system call but
failed. Open MPI checks many things before attempting to launch a
child process, but nothing is perfect. This error may be indicative
of another problem on the target host, or even something as silly as
having specified a directory for your application. Your job will now
abort.

  Local host: Trina-PC
  Application name: ./Gadget2
  Error: Permission denied
--------------------------------------------------------------------------
[Trina-PC:20499] 31 more processes have sent help message
help-orte-odls-default.txt / execve error
[Trina-PC:20499] Set MCA parameter "orte_base_help_aggregate" to 0 to see
all help / error messages


As I have no prior experience, I cannot figure out the error fix, your
suggestions are most appreciated. Thanks in advance.

Best
Received on 2016-10-09 05:39:49

This archive was generated by hypermail 2.3.0 : 2022-09-01 14:03:43 CEST